Name: jakarta-commons-validator
Version: 1.1.4
Release: alt0.M24.1

Summary: Jakarta Commons Validator package
License: Apache Software License
Group: Development/Java
Packager: Vladimir Lettiev <crux@altlinux.ru>

Url: http://jakarta.apache.org/commons/validator/
Source0: http://www.apache.org/dist/jakarta/commons/validator/source/commons-validator-%{version}-src.tar.gz
Source1: %name-build.properties 
Source2: %name.catalog 
Source3: commons-validator-%{version}-conf.tar.bz2

Patch1: %name-build.xml.patch

BuildPreReq: /proc
BuildPreReq: rpm-build-java
BuildPreReq: j2se1.4-sun-devel ant jakarta-commons-beanutils
BuildPreReq: jakarta-commons-collections
BuildPreReq: jakarta-commons-digester jakarta-commons-logging jakarta-oro junit
BuildPreReq: xerces-j >= 2.6.2

BuildArch: noarch

Requires: java-common >= 1.2 j2se >= 1.4.2 jakarta-commons-beanutils jakarta-commons-collections
Requires: jakarta-commons-digester jakarta-commons-logging jakarta-oro jaxp_parser_impl

%description
A common issue when receiving data either electronically or from user
input is verifying the integrity of the data. This work is repetitive
and becomes even more complicated when different sets of validation
rules need to be applied to the same set of data based on locale for
example. Error messages may also vary by locale. This package attempts
to address some of these issues and speed development and maintenance
of validation rules.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Requires: java-common >= 1.2

%description javadoc
Javadoc for %name

%prep
%setup -qn commons-validator-%version
%patch1
%__tar -xjf %SOURCE3
%__cp %SOURCE1 build.properties
%__cp %SOURCE2 conf/share/catalog

%build
%__ant dist

%install
%__mkdir_p %buildroot%_javadir
%__mkdir_p %buildroot%_javadocdir
%__mkdir_p %buildroot%_docdir/%name-%version
%__mkdir_p %buildroot%_datadir/sgml/%name

%__install -m644 dist/commons-validator.jar %buildroot%_javadir/%name.jar
%__cp *.txt %buildroot%_docdir/%name-%version/
%__cp *.html %buildroot%_docdir/%name-%version/
%__mv dist/docs/api %buildroot%_javadocdir/%name

%__cp conf/share/{*.dtd,catalog} %buildroot%_datadir/sgml/%name

%files
%_javadir/*.jar
%_docdir/%name-%version
%_datadir/sgml/%name

%files javadoc
%_javadocdir/%name

%changelog
* Sat May 07 2005 Alexey Borovskoy <alb@altlinux.ru> 1.1.4-alt0.M24.1
- Backport to Master 2.4
- Sync with my local repo

* Tue Apr 05 2005 Vladimir Lettiev <crux@altlinux.ru> 1.1.4-alt1
- 1.1.4

* Wed Mar 30 2005 Vladimir Lettiev <crux@altlinux.ru> 1.1.3-alt0.1
- Initial build for ALT Linux Sisyphus

